Get Breaks

Endpoint: GET /breaks

Description: Retrieve time breaks. You can specify particular breaks by providing their IDs as an array of integers. If the ids parameter is null, empty, or not provided, all available time breaks will be retrieved.

Request Body Sample:

{
    "ids":[]
}

Response:

{
    "meta_data": {
        "pagination": {
            "current_page": 2,
            "first_page_url": "http://api.timeero.com/api/public/breaks?page=1",
            "from": 11,
            "last_page": 6,
            "last_page_url": "http://api.timeero.com/api/public/breaks?page=6",
            "next_page_url": "http://api.timeero.com/api/public/breaks?page=3",
            "path": "http://api.timeero.com/api/public/breaks",
            "per_page": 10,
            "prev_page_url": "http://api.timeero.com/api/public/breaks?page=1",
            "to": 20,
            "total": 51,
            "options": false
        }
    },
    "items": [
        {
            "id": 416,
            "start": "2024-01-04T20:35:00+00:00",
            "end": "2024-01-04T20:54:00+00:00",
            "break_rule_id": 33,
            "duration_in_seconds": 1140,
            "created_at": "2024-11-12T13:26:52",
            "updated_at": "2024-11-12T13:26:52"
        },...
    ]
}

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
integer
integer
Headers
string
Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json